Skip to main content
PATCH
/
api
/
projects
/
{id}
Update a project
import requests

url = "https://app.langwatch.ai/api/projects/{id}"

payload = {
    "name": "<string>",
    "language": "<string>",
    "framework": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', language: '<string>', framework: '<string>'})
};

fetch('https://app.langwatch.ai/api/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request PATCH \
--url https://app.langwatch.ai/api/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"language": "<string>",
"framework": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "language": "<string>",
  "framework": "<string>",
  "teamId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.

Path Parameters

id
string
required

Project ID

Body

application/json
name
string
Required string length: 1 - 255
language
string
framework
string
piiRedactionLevel
enum<string>
Available options:
STRICT,
ESSENTIAL,
DISABLED

Response

Updated project

id
string

Project ID (project_...)

name
string
slug
string
language
string
framework
string
teamId
string
piiRedactionLevel
enum<string>
Available options:
STRICT,
ESSENTIAL,
DISABLED
createdAt
string<date-time>
updatedAt
string<date-time>